=== debian/control ===
Source: tim-vx-imx
Section: libs
Priority: optional
Maintainer: Laci Tele <laci@boundarydevices.com>
Build-Depends: debhelper (>= 8), findutils (>= 4.2.28), autotools-dev, autoconf, automake, libtool, ninja-build, chrpath,
 nn-imx,
Standards-Version: 3.9.3
Homepage: http://www.boundarydevices.com/
#Vcs-Git: https://source.codeaurora.org/external/imx/tim-vx-imx.git


Package: tim-vx-imx
Section: libs
Architecture: arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tensor Interface Module for OpenVX
 TIM-VX is a software integration module provided by VeriSilicon to facilitate
 deployment of Neural-Networks on OpenVX enabled ML accelerators. It serves as
 the backend binding for runtime frameworks such as Android NN, Tensorflow-Lite,
 MLIR, TVM and more.
