=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*- -*- indent-tabs-mode: t; tab-width: 3 -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

SHELL = /bin/bash

export DISTCC_PREFIX=/usr/lib/distcc/bin/

export BUILD_STRIP="strip"
export CP_ARGS=-Prf --preserve=mode,timestamps --no-preserve=ownership

CMAKE_SOURCE_DIR = $(CURDIR)
CMAKE_BUILD_DIR  = $(CURDIR)/build
CMAKE_INST_DIR   = $(CURDIR)/debian/tmp

TIMVX_INCDIR     = $(CMAKE_INST_DIR)/usr/include
TIMVX_LIBDIR     = $(CMAKE_INST_DIR)/usr/lib
TIMVX_SHRDIR     = $(CMAKE_INST_DIR)/usr/share

DEB_CMAKE_FLAGS += \
    -G 'Ninja' \
    -DCMAKE_MAKE_PROGRAM=ninja \
    -DCMAKE_INSTALL_PREFIX:PATH=/usr \
    -DCMAKE_INSTALL_BINDIR:PATH=bin \
    -DCMAKE_INSTALL_SBINDIR:PATH=sbin \
    -DCMAKE_INSTALL_LIBEXECDIR:PATH=libexec \
    -DCMAKE_INSTALL_SYSCONFDIR:PATH=/etc \
    -DCMAKE_INSTALL_SHAREDSTATEDIR:PATH=../com \
    -DCMAKE_INSTALL_LOCALSTATEDIR:PATH=/var \
    -DCMAKE_INSTALL_LIBDIR:PATH=lib \
    -DCMAKE_INSTALL_INCLUDEDIR:PATH=include \
    -DCMAKE_INSTALL_DATAROOTDIR:PATH=share \
    -DPYTHON_EXECUTABLE:PATH=/usr/bin/python3 \
    -DPython_EXECUTABLE:PATH=/usr/bin/python3 \
    -DPython3_EXECUTABLE:PATH=/usr/bin/python3 \
    -DCMAKE_INSTALL_SO_NO_EXE=0 \
    -DCMAKE_NO_SYSTEM_FROM_IMPORTED=1 \
    -DLIB_SUFFIX= \
    -DCMAKE_EXPORT_NO_PACKAGE_REGISTRY=ON \
    -DFETCHCONTENT_FULLY_DISCONNECTED=ON \
    -DCONFIG=boundary \
    -DTIMVX_REPLACE_COMPILER_FLAGS=off \
    -DTIM_VX_ENABLE_TEST=off
    -DTIMVX_USE_EXTERNAL_OVXLIB=on \
    -DOVXLIB_INC=/usr/include/OVXLIB
    -DCMAKE_C_COMPILER=${DISTCC_PREFIX}gcc \
    -DCMAKE_CXX_COMPILER=${DISTCC_PREFIX}g++ \
    -Wno-dev

###

%:
	dh $@

override_dh_auto_configure:
	mkdir -p $(CMAKE_BUILD_DIR)
	cmake $(DEB_CMAKE_FLAGS) -S $(CMAKE_SOURCE_DIR) -B $(CMAKE_BUILD_DIR)

override_dh_auto_build:
	cmake --build $(CMAKE_BUILD_DIR) --target all -- -j 6

override_dh_auto_install:
	mkdir -p $(CMAKE_INST_DIR)
	cd $(CMAKE_BUILD_DIR)
	DESTDIR=$(CMAKE_INST_DIR) cmake --build $(CMAKE_BUILD_DIR) --target install
	dh_auto_install -a

#override_dh_shlibdeps:
#	true

override_dh_strip:
	dh_strip -a --no-automatic-dbgsym
